#!/bin/sh
#
# System Interface Library for games
# Copyright (c) 2007-2016 Andrew Church <achurch@achurch.org>
# Released under the GNU GPL version 3 or later; NO WARRANTY is provided.
# See the file COPYING.txt for details.
#
# build/macosx/llvm-cov-wrapper.sh: Wrapper for the bastardized llvm-cov
# tool in Xcode 5.1 to ensure that output files for headers do not collide.

set -e

filearg=""
for arg; do
    case "$arg" in
        -*) ;;
        *) filearg=$arg;;
    esac
done
prefix="##`echo \"$filearg\" | sed 's|/|#|g'`##"

"$@"
for i in *; do
    case "$i" in
        \#\#*) ;;
        *) mv "$i" "$prefix$i";;
    esac
done
